<?php

/**
 * The template for displaying all single posts
 *
 * @package MagazineCraft
 */

get_header();
?>

<div class="container">
	<main id="primary" class="site-main py-12">

		<?php
		while (have_posts()) :
			the_post();

			get_template_part('template-parts/content-single', get_post_type());

			get_template_part('template-parts/navigation', 'none');

			// If comments are open or we have at least one comment, load up the comment template.
			if (comments_open() || get_comments_number()) :
				comments_template();
			endif;

		endwhile; // End of the loop.
		?>

	</main><!-- #main -->
</div>

<?php
get_sidebar();
get_footer();
