<?php

/**
 * Template part for displaying page content in page.php
 *
 * @package MagazineCraft
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header max-w-4xl m-auto text-center">
		<?php the_title('<h1 class="entry-title">', '</h1>'); ?>
	</header><!-- .entry-header -->

	<?php magazinecraft_post_thumbnail(); ?>

	<div class="max-w-4xl m-auto mb-12">
		<div class="entry-content prose lg:prose-lg max-w-none prose-slate prose-a:text-slate-900 hover:prose-a:text-slate-500">
			<?php
			the_content();

			wp_link_pages(
				array(
					'before' => '<div class="page-links">' . esc_html__('Pages:', 'magazinecraft'),
					'after'  => '</div>',
				)
			);
			?>
		</div><!-- .entry-content -->
	</div>

</article><!-- #post-<?php the_ID(); ?> -->