<?php

/**
 * Template part for displaying results in search pages
 *
 * @package MagazineCraft
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('flex flex-col'); ?>>

	<?php if ('post' === get_post_type()) : ?>
		<div class="entry-meta <?php if (get_theme_mod('magazinecraft_show_meta_bottom', false)) : echo 'order-last';
								endif; ?>">
			<?php
			magazinecraft_cats_list();
			magazinecraft_posted_on();
			magazinecraft_posted_by();
			?>
		</div><!-- .entry-meta -->
	<?php endif; ?>

	<header class="entry-header">
		<?php the_title(sprintf('<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h2>'); ?>
	</header><!-- .entry-header -->

	<div class="entry-summary line-clamp-3">
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->
</article><!-- #post-<?php the_ID(); ?> -->