<?php

/**
 * Template part for displaying posts
 *
 * @package MagazineCraft
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('flex flex-col'); ?>>

	<?php magazinecraft_post_thumbnail('medium'); ?>

	<div class="entry-meta <?php if (get_theme_mod('magazinecraft_show_meta_bottom', false)) : echo 'order-last';
							endif; ?>">
		<?php
		magazinecraft_cats_list();
		magazinecraft_posted_on();
		magazinecraft_posted_by();
		?>
	</div><!-- .entry-meta -->

	<header class="entry-header">
		<?php
		if (is_singular()) :
			the_title('<h1 class="entry-title">', '</h1>');
		else :
			the_title('<h2 class="entry-title"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h2>');
		endif;
		?>
	</header><!-- .entry-header -->

	<div class="entry-summary line-clamp-3">
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->

</article><!-- #post-<?php the_ID(); ?> -->